package com.monkeycoder.monkeynes.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * This is a GUI component that represents a video screen attached to a NES.
 * <br><br>
 * Originally part of the MonkeyNES project.
 *
 * @author David Stephens
 */
public class VideoScreen extends Component
{
  
  /**
   * Paints the surface of this component with the current data constructed by the 
   * PPU.
   * @param g The graphics component that will be used for drawing this component.
   */  
  public void paint( Graphics g )
  {
    g.setColor( Color.BLUE );
    g.fillRect( 0, 0, this.getWidth(), this.getHeight() );
  }
}